OpenTTD Source: LanguageStrings Struct Reference

OpenTTD Source 15.3

Public Member Functions | Data Fields
LanguageStrings Struct Reference

Container for the raw (unencoded) language strings of a language. More...

`#include <game_text.hpp>`

## Public Member Functions
| LanguageStrings (const std::string &lang)
| LanguageStrings (const LanguageStrings &other)
| LanguageStrings (LanguageStrings &&other)
bool | IsValid () const

## Data Fields
std::string | language
| Name of the language (base filename). Empty string if invalid.
TypedIndexContainer< StringList, StringIndexInTab > | lines
| The lines of the file to pass into the parser/encoder.

## Detailed Description

Container for the raw (unencoded) language strings of a language.

Definition at line 40 of file game_text.hpp.

## Constructor & Destructor Documentation

## ◆ LanguageStrings() [1/4]

LanguageStrings::LanguageStrings | ( |  | ) |
| inline

Definition at line 44 of file game_text.hpp.

## ◆ LanguageStrings() [2/4]

LanguageStrings::LanguageStrings | ( | const std::string & | lang | ) |
| inline

Definition at line 45 of file game_text.hpp.

## ◆ LanguageStrings() [3/4]

LanguageStrings::LanguageStrings | ( | const LanguageStrings & | other | ) |
| inline

Definition at line 46 of file game_text.hpp.

## ◆ LanguageStrings() [4/4]

LanguageStrings::LanguageStrings | ( | LanguageStrings && | other | ) |
| inline

Definition at line 47 of file game_text.hpp.

## Member Function Documentation

## ◆ IsValid()

bool LanguageStrings::IsValid | ( |  | ) | const
| inline

Definition at line 49 of file game_text.hpp.

## Field Documentation

## ◆ language

std::string LanguageStrings::language

Name of the language (base filename). Empty string if invalid.

Definition at line 41 of file game_text.hpp.

## ◆ lines

TypedIndexContainer<StringList, StringIndexInTab> LanguageStrings::lines

The lines of the file to pass into the parser/encoder.

Definition at line 42 of file game_text.hpp.

Referenced by ReadRawLanguageStrings().

The documentation for this struct was generated from the following file:

- src/game/game_text.hpp